<?xml version="1.0" encoding="UTF-8"?>
<grammar datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes" xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:number="http://openoffice.org/2000/datastyle" xmlns:form="http://openoffice.org/2000/form" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="http://openoffice.org/2000/dr3d" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:office="http://openoffice.org/2000/office" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:draw="http://openoffice.org/2000/drawing" xmlns:meta="http://openoffice.org/2000/meta" xmlns:text="http://openoffice.org/2000/text" xmlns:chart="http://openoffice.org/2000/chart" xmlns:svg="http://www.w3.org/2000/svg" xmlns:style="http://openoffice.org/2000/style" xmlns:table="http://openoffice.org/2000/table" xmlns:presentation="http://openoffice.org/2001/presentation" xmlns:config="http://openoffice.org/2001/config" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:script="http://openoffice.org/2000/script">
<!--
	$Id: defs.mod,v 1.2 2002/11/01 10:22:59 dvo Exp $

   The Contents of this file are made available subject to the terms of
   either of the following licenses
 
          - GNU Lesser General Public License Version 2.1
          - Sun Industry Standards Source License Version 1.1
 
   Sun Microsystems Inc., October, 2000
 
   GNU Lesser General Public License Version 2.1
   =============================================
   Copyright 2000 by Sun Microsystems, Inc.
   901 San Antonio Road, Palo Alto, CA 94303, USA
 
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License version 2.1, as published by the Free Software Foundation.
 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA  02111-1307  USA
 
 
   Sun Industry Standards Source License Version 1.1
   =================================================
   The contents of this file are subject to the Sun Industry Standards
   Source License Version 1.1 (the "License"); You may not use this file
   except in compliance with the License. You may obtain a copy of the
   License at http://www.openoffice.org/license.html.
 
   Software provided under this License is provided on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING,
   WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
   MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
   See the License for the specific provisions governing your rights and
   obligations concerning the Software.
 
   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 
   Copyright: 2000 by Sun Microsystems, Inc.
 
   All Rights Reserved.
 
   Contributor(s): _______________________________________

-->
<!-- This module should contain entities intended for content definitions
     in several other modules. Putting all of them here should remove
     (some) order dependencies of the other module files
-->
<!-- text marks for tracking changes; usually used inside of paragraphs -->
  <define name="change-marks">
    <choice>
      <ref name="text.change"/>
      <ref name="text.change-start"/>
      <ref name="text.change-end"/>
    </choice>
  </define>
<!-- (optional) text declarations; used before the first paragraph -->
  <define name="text-decls">
    <optional>
      <ref name="text.variable-decls"/>
    </optional>
    <optional>
      <ref name="text.sequence-decls"/>
    </optional>
    <optional>
      <ref name="text.user-field-decls"/>
    </optional>
    <optional>
      <ref name="text.dde-connection-decls"/>
    </optional>
    <optional>
      <ref name="text.alphabetical-index-auto-mark-file"/>
    </optional>
  </define>
<!-- define the types of text which may occur inside of sections -->
  <define name="sectionText">
    <zeroOrMore>
      <choice>
        <ref name="text.h"/>
        <ref name="text.p"/>
        <ref name="text.ordered-list"/>
        <ref name="text.unordered-list"/>
        <ref name="table.table"/>
        <ref name="text.section"/>
        <ref name="text.table-of-content"/>
        <ref name="text.illustration-index"/>
        <ref name="text.table-index"/>
        <ref name="text.object-index"/>
        <ref name="text.user-index"/>
        <ref name="text.alphabetical-index"/>
        <ref name="text.bibliography"/>
        <ref name="text.index-title"/>
        <ref name="change-marks"/>
      </choice>
    </zeroOrMore>
  </define>
  <define name="headerText">
    <ref name="text-decls"/>
    <zeroOrMore>
      <choice>
        <ref name="text.h"/>
        <ref name="text.p"/>
        <ref name="text.ordered-list"/>
        <ref name="text.unordered-list"/>
        <ref name="table.table"/>
        <ref name="text.section"/>
        <ref name="text.table-of-content"/>
        <ref name="text.illustration-index"/>
        <ref name="text.table-index"/>
        <ref name="text.object-index"/>
        <ref name="text.user-index"/>
        <ref name="text.alphabetical-index"/>
        <ref name="text.bibliography"/>
        <ref name="text.index-title"/>
        <ref name="change-marks"/>
      </choice>
    </zeroOrMore>
  </define>
</grammar>
